Bug 1026982 - file detects bmp files as data
file detects bmp files as data
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 14:27 EST by Dimitri Papadopoulos
Modified: 2015-02-18 06:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:39:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
BMP file created from /usr/share/icons/hicolor/128x128/apps/fedora-release-notes.png using ImageMagick (64.13 KB, image/bmp)
2013-11-05 14:27 EST, Dimitri Papadopoulos
no flags Details

  None (edit)
Description Dimitri Papadopoulos 2013-11-05 14:27:04 EST
Created attachment 819975 [details]
BMP file created from /usr/share/icons/hicolor/128x128/apps/fedora-release-notes.png using ImageMagick

Description of problem:

$ file fedora-release-notes.bmp
fedora-release-notes.bmp: data

Version-Release number of selected component (if applicable):

file-5.11-11.fc19.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Download attached fedora-release-notes.bmp
2. Run 'file' on file.

Actual results:

$ file fedora-release-notes.bmp
fedora-release-notes.bmp: data

Expected results:

$ file fedora-release-notes.bmp
fedora-release-notes.bmp: PC bitmap, Windows 3.x format, 128 x 128 x 24

Additional info:
Comment 1 Dimitri Papadopoulos 2013-11-05 14:30:44 EST
I get the same result with file-5.15 from upstream.
Comment 2 Jan Kaluža 2013-11-06 02:53:20 EST
I've created patch for this issue and sent upstream. Once upstream accept it, I can backport it to F19.

http://bugs.gw.com/view.php?id=296
Comment 3 Jan Kaluža 2014-06-27 08:13:26 EDT
This is fixed in file-5.19 in Fedora rawhide.
Comment 4 Fedora End Of Life 2015-01-09 17:21:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Dimitri Papadopoulos 2015-01-10 04:35:47 EST
This has indeed been fixed in Fedora 21:

$ file fedora-release-notes.bmp 
fedora-release-notes.bmp: PC bitmap, Windows 98/2000 and newer format, 128 x 128 x 32
$
Comment 6 Fedora End Of Life 2015-02-18 06:39:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.